// file: wrd_str_0.cc
//
 
// isip include files
//
#include "word.h"
#include "word_constants.h"
 
// method: set_name_cc
//
// arguments:
//  char_1* name : (input) the name string
//
// return: a logical_1 indicating success
//
// this method sets the name of this word
//
logical_1 Word::set_name_cc(char_1* name_a) {

  // free existing memory
  //
  if (name_d != (char_1*)NULL) {
    delete [] name_d;
  }

  // copy new name
  //
  name_d = new char_1[strlen((char*)name_a) + (int_4)1];
  strcpy((char*)name_d, (char*)name_a);
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
